Skip to main content
GET
/
v1
/
financials
/
short-volume
Get Short Volume Data
curl --request GET \
  --url https://api.aries.com/v1/financials/short-volume \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "ticker": "AAPL",
      "date": "2024-02-06",
      "shortVolume": 5683713,
      "shortVolumeRatio": 34.95,
      "totalVolume": 16264662,
      "exemptVolume": 67840,
      "nonExemptVolume": 5615873,
      "adfShortVolume": 0,
      "adfShortVolumeExempt": 0,
      "nasdaqCarteretShortVolume": 5298900,
      "nasdaqCarteretShortVolumeExempt": 63532,
      "nasdaqChicagoShortVolume": 28784,
      "nasdaqChicagoShortVolumeExempt": 0,
      "nyseShortVolume": 356029,
      "nyseShortVolumeExempt": 4308
    }
  ],
  "status": "OK",
  "requestId": "c701bead81e94e7186f6042474b117d8",
  "nextUrl": "https://api.aries.com/v1/financials/short-volume?cursor=..."
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

tickers
string

Single ticker or comma-separated list (e.g. AAPL or AAPL,MSFT,GOOG)

Example:

"AAPL"

tickerAfter
string

Ticker greater than (exclusive)

tickerFrom
string

Ticker greater than or equal (inclusive)

tickerBefore
string

Ticker less than (exclusive)

tickerTo
string

Ticker less than or equal (inclusive)

date
string<date>

Exact date (YYYY-MM-DD)

dates
string

Comma-separated list of dates

dateAfter
string<date>

Date after (exclusive)

dateFrom
string<date>

Date from (inclusive)

dateBefore
string<date>

Date before (exclusive)

dateTo
string<date>

Date to (inclusive)

shortVolumeRatio
number<double>

Short volume ratio (exact)

shortVolumeRatioList
string

Comma-separated list of short volume ratios

shortVolumeRatioAbove
number<double>

Short volume ratio greater than (exclusive)

shortVolumeRatioMin
number<double>

Short volume ratio greater than or equal (inclusive)

shortVolumeRatioBelow
number<double>

Short volume ratio less than (exclusive)

shortVolumeRatioMax
number<double>

Short volume ratio less than or equal (inclusive)

totalVolume
integer<int64>

Total volume (exact)

totalVolumeList
string

Comma-separated list of total volumes

totalVolumeAbove
integer<int64>

Total volume greater than (exclusive)

totalVolumeMin
integer<int64>

Total volume greater than or equal (inclusive)

totalVolumeBelow
integer<int64>

Total volume less than (exclusive)

totalVolumeMax
integer<int64>

Total volume less than or equal (inclusive)

limit
integer

Maximum number of results

Required range: x >= 1
sort
string

Sort field

next
string

Pagination cursor

Response

Successful response

results
object[]
status
string
requestId
string
nextUrl
string